Update the policy_file of a security policy
Update the policy_file of a security policy
Required scope: air:manifest_write (roles: air_simengine_debugger, air_simengine_developer)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
id
A UUID string identifying this security policy.
Request
This endpoint expects an object.
policy_file
Policy content. Seccomp: JSON object with defaultAction and syscalls. AppArmor: plain-text string.
Response
id
created
modified
emulation_type
The simulation engine this policy applies to.
policy_type
The security mechanism: seccomp or apparmor.
seccomp- Seccompapparmor- AppArmor
version
Policy version string.
policy_file
Policy content. Seccomp: JSON object with defaultAction and syscalls. AppArmor: plain-text string.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error